

# -------------------------------------------------------------------------
# DMvsVA PAPER 
# How do the three techniques perform in terms of choice easiness?
# -------------------------------------------------------------------------
#
# Author: EVANTHIA DIMARA
#
# -------------------------------------------------------------------------
# Symbols
# -------------------------------------------------------------------------
# PC : Parallel Coordinates
# SM : Scatterplot Matrix
# TV : Tabular Visualization
# -------------------------------------------------------------------------

#rm(list = ls()) # clean up R's memory
digits  <- 2 # number of digits to show after the decimal point.

source("functions.R")

afterDM_data <- read.csv("results/VAandDSS - Post-response (Responses) - Form Responses 1_p21.csv") 
afterDM_easiness_data <- subset(afterDM_data, select = c("Participant.ID", "easiness", "technique"))
#afterDM_easiness_data[,"easiness"] <-afterDM_easiness_data[,"easiness"]/10
afterDM_easiness_data_PC <- subset(afterDM_easiness_data, technique=="PC")
afterDM_easiness_data_SM <- subset(afterDM_easiness_data, technique=="SM")
afterDM_easiness_data_TV <- subset(afterDM_easiness_data, technique=="TV")

#afterDM_easiness_data <- cbind(afterDM_data[,"Participant ID"], afterDM_data[,"easiness"]/10)

easinessDM_diff_PC_SM_CI  <- meanCI(afterDM_easiness_data_PC[,"easiness"] - afterDM_easiness_data_SM[,"easiness"]) 
easinessDM_diff_PC_TV_CI  <- meanCI(afterDM_easiness_data_PC[,"easiness"] - afterDM_easiness_data_TV[,"easiness"]) 
easinessDM_diff_SM_TV_CI  <- meanCI(afterDM_easiness_data_SM[,"easiness"] - afterDM_easiness_data_TV[,"easiness"]) 

easinessDM_PC_CI  <- meanCI(afterDM_easiness_data_PC[,"easiness"]) 
easinessDM_SM_CI  <- meanCI(afterDM_easiness_data_SM[,"easiness"]) 
easinessDM_TV_CI  <- meanCI( afterDM_easiness_data_TV[,"easiness"]) 

# Ploting all CI
results <- data.frame(label = "DM PC easiness" , point = easinessDM_PC_CI[1], ci.lower = easinessDM_PC_CI[2], ci.upper = easinessDM_PC_CI[3], type='Other') 
results <- rbind(results, data.frame(label = "DM SM easiness" , point = easinessDM_SM_CI[1], ci.lower = easinessDM_SM_CI[2], ci.upper = easinessDM_SM_CI[3], type='Other'))  
results <- rbind(results, data.frame(label = "DM TV easiness" , point = easinessDM_TV_CI[1], ci.lower = easinessDM_TV_CI[2], ci.upper = easinessDM_TV_CI[3], type='Other'))  
results2<- data.frame(label = "DM PC-SM easiness Difference " , point = easinessDM_diff_PC_SM_CI[1], ci.lower = easinessDM_diff_PC_SM_CI[2], ci.upper = easinessDM_diff_PC_SM_CI[3], type='Other')
results2 <- rbind(results2, data.frame(label = "DM PC-TV easiness Difference " , point = easinessDM_diff_PC_TV_CI[1], ci.lower = easinessDM_diff_PC_TV_CI[2], ci.upper = easinessDM_diff_PC_TV_CI[3], type='Other'))  
results2 <- rbind(results2, data.frame(label = "DM SM-TV easiness Difference " , point = easinessDM_diff_SM_TV_CI[1], ci.lower = easinessDM_diff_SM_TV_CI[2], ci.upper = easinessDM_diff_SM_TV_CI[3], type='Other'))  

plot    <- plotAllCI_likertScale(results)
plot

plot    <- plotAllCI(results2, plotRange = c(-4, 4))
plot

# Printing exact values
easinessDM_diff_PC_SM_CIform  <- format_ci( easinessDM_diff_PC_SM_CI, digits, width = NA, FALSE)
easinessDM_diff_PC_TV_CIform  <- format_ci( easinessDM_diff_PC_TV_CI, digits, width = NA, FALSE)
easinessDM_diff_SM_TV_CIform  <- format_ci( easinessDM_diff_SM_TV_CI, digits, width = NA, FALSE)

easinessDM_PC_CIform  <- format_ci( easinessDM_PC_CI, digits, width = NA, FALSE)
easinessDM_SM_CIform  <- format_ci( easinessDM_SM_CI, digits, width = NA, FALSE)
easinessDM_TV_CIform  <- format_ci( easinessDM_TV_CI, digits, width = NA, FALSE)

cat("\n1.# How do the three techniques perform in terms of choice easiness?")
cat("\n2. DM easiness PC : ",easinessDM_PC_CIform)
cat("\n2. DM easiness SM: " ,easinessDM_SM_CIform)
cat("\n2. DM easiness TV: " ,easinessDM_TV_CIform)
cat("\n2. DM easiness Difference PC-SM: ",easinessDM_diff_PC_SM_CIform)
cat("\n2. DM easiness Difference PC-TV: ",easinessDM_diff_PC_TV_CIform)
cat("\n2. DM easiness Difference SM-TV: ",easinessDM_diff_SM_TV_CIform)

