# Exploratory analysis tests

rm(list = ls()) # clean up R's memory
digits  <- 2 # number of digits to show after the decimal point.

source("functions.R")

afterDM_data <- read.csv("results/VAandDSS - Final (Responses) - Form Responses 1_p19.csv") 

prefPC <- afterDM_data[,"Parallel.coordinates"]
prefSM <- afterDM_data[,"Scatterplot.matrix"]
prefTV <- afterDM_data[,"Tabular.visualization"]

afterVA_data <- read.csv("results/VAandDSS - After VA (Responses) - Form Responses 1_p19.csv") 

prefPC_VA <- afterVA_data[,"Parallel.coordinates"]
prefSM_VA <- afterVA_data[,"Scatterplot.matrix"]
prefTV_VA <- afterVA_data[,"Tabular.visualization"]

pref <- data.frame(prefPC, prefSM, prefTV)
pref_VA <- data.frame(prefPC_VA, prefSM_VA, prefTV_VA)
#plot(pref, xlim = c(0, 10), ylim = c(0, 10), pch = 19, col=rgb(0, 0, 0, 0.5))

plotHistograms <- function(pc, sm, tv, xlim, ymax, breaks) {
  par(mfrow=c(3,1))
  hist(pc, col="black", border = "white", xlim = xlim, ylim = c(0, ymax), breaks = breaks)
  hist(sm, col="black", border = "white", xlim = xlim, ylim = c(0, ymax), breaks = breaks)
  hist(tv, col="black", border = "white", xlim = xlim, ylim = c(0, ymax), breaks = breaks)
}

plotHistograms(prefPC, prefSM, prefTV, c(0, 10), 7, 8)
plotHistograms(prefPC_VA, prefSM_VA, prefTV_VA, c(0, 10), 7, 8)

#library("beeswarm")
#beeswarm(prefPC, ylim = c(0, 10))


#############################################################################################

# run after executing DM_accurateTechnique.R

par(mfrow=c(3,1))

participantScores_SM <- participantScores_SM[order(participantScores_SM$participantid),]
consistency_SM <- participantScores_SM[,"consistency"]
plot(consistency_SM, ylim = c(0, 1))

participantScores_PC <- participantScores_PC[order(participantScores_PC$participantid),]
consistency_PC <- participantScores_PC[,"consistency"]
plot(consistency_PC, ylim = c(0, 1))

participantScores_TV <- participantScores_TV[order(participantScores_TV$participantid),]
consistency_TV <- participantScores_TV[,"consistency"]
plot(consistency_TV, ylim = c(0, 1))

#############################################################################################

# run after executing DM_preferredTechnique.R and VA_preferredTechnique.R

#
# Function for computing the standard deviation of non-normally distributed data and its
# 95% (bootstrap) confidence interval
#

sd_VA_PC <- sdCI(afterVA_data[,"Parallel.coordinates"]) 
sd_VA_SM <- sdCI(afterVA_data[,"Scatterplot.matrix"]) 
sd_VA_TV <- sdCI(afterVA_data[,"Tabular.visualization"]) 
sd_DM_PC <- sdCI(afterDM_data[,"Parallel.coordinates"]) 
sd_DM_SM <- sdCI(afterDM_data[,"Scatterplot.matrix"]) 
sd_DM_TV <- sdCI(afterDM_data[,"Tabular.visualization"]) 
cat('Standard deviation of preferences, PC / VA: σ =', format_ci(sd_VA_PC, 2))
cat('Standard deviation of preferences, SM / VA: σ =', format_ci(sd_VA_SM, 2))
cat('Standard deviation of preferences, TV / VA: σ =', format_ci(sd_VA_TV, 2))
cat('Standard deviation of preferences, PC / DM: σ =', format_ci(sd_DM_PC, 2))
cat('Standard deviation of preferences, SM / DM: σ =', format_ci(sd_DM_SM, 2))
cat('Standard deviation of preferences, TV / DM: σ =', format_ci(sd_DM_TV, 2))
