# -------------------------------------------------------------------------
# DMvsVA PAPER 
# Which technique people prefer overall for VA tasks?
# -------------------------------------------------------------------------
#
# Author: EVANTHIA DIMARA
#
# -------------------------------------------------------------------------
# Symbols
# -------------------------------------------------------------------------
# PC : Parallel Coordinates
# SM : Scatterplot Matrix
# TV : Tabular Visualization
# -------------------------------------------------------------------------

#rm(list = ls()) # clean up R's memory
digits  <- 2 # number of digits to show after the decimal point.

source("functions.R")

afterVA_data <- read.csv("results/VAandDSS - After VA (Responses) - Form Responses 1_p21.csv") 
#afterVA_data[,"Parallel.coordinates"] <-afterVA_data[,"Parallel.coordinates"]/10
#afterVA_data[,"Scatterplot.matrix"] <-afterVA_data[,"Scatterplot.matrix"]/10
#afterVA_data[,"Tabular.visualization"] <-afterVA_data[,"Tabular.visualization"]/10

prefVA_diff_PC_SM_CI  <- meanCI(afterVA_data[,"Parallel.coordinates"] - afterVA_data[,"Scatterplot.matrix"]) 
prefVA_diff_PC_TV_CI  <- meanCI(afterVA_data[,"Parallel.coordinates"] - afterVA_data[,"Tabular.visualization"]) 
prefVA_diff_SM_TV_CI  <- meanCI(afterVA_data[,"Scatterplot.matrix"]   - afterVA_data[,"Tabular.visualization"]) 

prefVA_PC_CI  <- meanCI(afterVA_data[,"Parallel.coordinates"]) 
prefVA_SM_CI   <- meanCI(afterVA_data[,"Scatterplot.matrix"]) 
prefVA_TV_CI   <- meanCI(afterVA_data[,"Tabular.visualization"]) 

# Ploting all CI
results <- data.frame(label = "VA PC Likeness: all tasks  " , point = prefVA_PC_CI[1], ci.lower = prefVA_PC_CI[2], ci.upper = prefVA_PC_CI[3], type='Other') 
results <- rbind(results, data.frame(label = "VA SM Likeness: all tasks " , point = prefVA_SM_CI[1], ci.lower = prefVA_SM_CI[2], ci.upper = prefVA_SM_CI[3], type='Other'))  
results <- rbind(results, data.frame(label = "VA TV Likeness: all tasks " , point = prefVA_TV_CI[1], ci.lower = prefVA_TV_CI[2], ci.upper = prefVA_TV_CI[3], type='Other'))  

results2 <- data.frame(label = "VA PC-SM Likeness Difference " , point = prefVA_diff_PC_SM_CI[1], ci.lower = prefVA_diff_PC_SM_CI[2], ci.upper = prefVA_diff_PC_SM_CI[3], type='Other')
results2 <- rbind(results2, data.frame(label = "VA PC-TV Likeness Difference " , point = prefVA_diff_PC_TV_CI[1], ci.lower = prefVA_diff_PC_TV_CI[2], ci.upper = prefVA_diff_PC_TV_CI[3], type='Other'))  
results2 <- rbind(results2, data.frame(label = "VA SM-TV Likeness Difference " , point = prefVA_diff_SM_TV_CI[1], ci.lower = prefVA_diff_SM_TV_CI[2], ci.upper = prefVA_diff_SM_TV_CI[3], type='Other'))  

plot    <- plotAllCI_likertScale(results)
plot

plot    <- plotAllCI(results2, plotRange = c(-4, 4))
plot

# Printing exact values
prefVA_diff_PC_SM_CIform  <- format_ci( prefVA_diff_PC_SM_CI, digits, width = NA, FALSE)
prefVA_diff_PC_TV_CIform  <- format_ci( prefVA_diff_PC_TV_CI, digits, width = NA, FALSE)
prefVA_diff_SM_TV_CIform  <- format_ci( prefVA_diff_SM_TV_CI, digits, width = NA, FALSE)

prefVA_PC_CIform  <- format_ci( prefVA_PC_CI, digits, width = NA, FALSE)
prefVA_SM_CIform  <- format_ci( prefVA_SM_CI, digits, width = NA, FALSE)
prefVA_TV_CIform  <- format_ci( prefVA_TV_CI, digits, width = NA, FALSE)

cat("\n1. Which technique people prefer overall for VA tasks?")
cat("\n2. VA Likeness PC : ",prefVA_PC_CIform)
cat("\n2. VA Likeness SM: " ,prefVA_SM_CIform)
cat("\n2. VA Likeness TV: " ,prefVA_TV_CIform)
cat("\n2. VA Likeness Difference PC-SM: ",prefVA_diff_PC_SM_CIform)
cat("\n2. VA Likeness Difference PC-TV: ",prefVA_diff_PC_TV_CIform)
cat("\n2. VA Likeness Difference SM-TV: ",prefVA_diff_SM_TV_CIform)
